<div align="center">

<h1>RESTRIS</h1>

Functional Backend implementation of REST api with NodeJS(KoaJS) MongoDB and Jest Tests.

<a href="https://github.com/biantris/restris/actions">
  <img alt="Tests Passing" src="https://github.com/biantris/restris/actions/workflows/test.yml/badge.svg" />
</a>

</div>

### Tools
- [x] TypeScript
- [x] Node
- [x] KoaJS
- [x] MongoDB
- [x] Mongoose
- [x] Jest
- [x] Supertest
- [ ] Swagger
- [ ] Eslint
- [ ] Prettier

### Modules
- [x] userModel

#### APIs
- [x] userGet
- [x] userGetAll
- [x] userPost
- [ ] userPut
- [x] userDelete

### Auth Flow
- [x] login
- [x] validate user token
- [x] logout

### Getting Started
- clone this repo
```sh
# install dependencies
yarn
# or
yarn install

# copy .env file
cp .env.example .env

# start project
yarn start

# open in
http://localhost:9000/api/version
```

##### 🔗 Demo:
[wip]
